#!/usr/bin/env ruby
dir = "data/doc/kubuntu-dev-tools/ruby-libs-html/"
rm_rf(dir) if File.exist?(dir)
system("rdoc1.8 -U -o #{dir} lib")

dir = "man/man1/"
rm_rf(dir) if File.exist?(dir)
mkdir_p(dir)
Dir.chdir("docbook")
for i in Dir.glob("*.1.docbook")
    system("meinproc4 --stylesheet /usr/share/kde4/apps/ksgmltools2/customization/kde-include-man.xsl #{i}")
end
rm_f("index.html") # no idea where that is coming from
Dir.chdir("..")
for i in Dir.glob("docbook/*.1")
    puts i
    move_file(i, dir + File.basename(i))
end
